# Generated by Django 2.1 on 2018-08-15 21:16

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import movies.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Actor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=40, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(auto_now_add=True)),
                ('content', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Movie',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('imdbid', models.CharField(max_length=20, unique=True)),
                ('title', models.CharField(max_length=100)),
                ('year', models.IntegerField(validators=[django.core.validators.MinValueValidator(1878), movies.validators.validate_max_year])),
                ('rated', models.CharField(blank=True, max_length=10, null=True)),
                ('released', models.DateField(blank=True, null=True)),
                ('runtime', models.IntegerField(blank=True, null=True)),
                ('genre', models.CharField(blank=True, max_length=50, null=True)),
                ('director', models.CharField(blank=True, max_length=40, null=True)),
                ('writer', models.CharField(blank=True, max_length=300, null=True)),
                ('plot', models.TextField(blank=True, null=True)),
                ('language', models.CharField(max_length=100)),
                ('country', models.CharField(max_length=100)),
                ('awards', models.TextField(blank=True, null=True)),
                ('poster', models.TextField(blank=True, null=True)),
                ('metascore', models.IntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)])),
                ('imdbrating', models.FloatField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)])),
                ('imdbvotes', models.IntegerField(blank=True, null=True, validators=[django.core.validators.MinValueValidator(0)])),
                ('type', models.CharField(blank=True, max_length=20, null=True)),
                ('dvd', models.DateField(blank=True, null=True)),
                ('boxoffice', models.BigIntegerField(blank=True, null=True)),
                ('production', models.CharField(blank=True, max_length=100, null=True)),
                ('website', models.CharField(blank=True, max_length=150, null=True)),
                ('actors', models.ManyToManyField(blank=True, to='movies.Actor')),
            ],
        ),
        migrations.CreateModel(
            name='Rating',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.CharField(max_length=60)),
                ('value', models.CharField(max_length=20)),
            ],
        ),
        migrations.AddField(
            model_name='movie',
            name='ratings',
            field=models.ManyToManyField(blank=True, to='movies.Rating'),
        ),
        migrations.AddField(
            model_name='comment',
            name='movie',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='movies.Movie'),
        ),
    ]
